body {
  font-family: 'Sniglet', sans-serif;
  background-color: #f5e6ff;
}

.heading-font {
  font-family: 'Fredoka', sans-serif; 
  color: #e7c7fc;
  text-shadow:
    -3px -3px 2px #766b94, 
    3px -3px 2px #766b94,
    -3px  3px 2px #766b94, 
    3px  3px 2px #766b94;

  font-size: 75px;
  font-weight: bold;
}

.navbar-text {
  font-family: 'Fredoka', sans-serif;
  color: #626262;
  font-size: 17px;
}

#progress-container {
  background-color: #f0e6fa;
  border-radius: 10px;
  margin: 10px;
}
#progress-container label {
  font-weight: bold;
  display: block;
  margin-top: 10px;
}

.start-button {
  font-family: 'Sniglet', sans-serif; 
  background-color: #f5e6ff;
  color: #6d6189;
  border-color: #8f7fb6;
  border-width: 3px;
  border-radius: 12px; 
  padding: 10px 20px;
  font-size: 24px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.start-button:hover {
  color: #bbaddb;
  background-color: #fbf4ff;
  border-color: #bbaddb;
}

.nav-link.active {
  font-weight: bold;
  border-bottom: 2px solid black;
}

.song-title {
  font-family: 'Playfair Display', serif;
  font-weight: 600;
}
  
#piano {
  position: relative;
  height: 180px;
  width: fit-content;
  display: flex;
  margin: 0 auto;
}
  
.white-key {
  width: 40px;
  height: 180px;
  background: white;
  border: 1px solid black;
  position: relative;
  z-index: 1;
  text-align: center;
  font-weight: bold;
  font-family: 'Cantora One', sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  font-size: 14px;
  padding-bottom: 8px; 
}
  
.black-key {
  width: 25px;
  height: 110px;
  background: black;
  position: absolute;
  top: 0;
  z-index: 2;
}
  
.pressed {
  background-color: limegreen !important;
}

/* progress bar colors */
progress {
  width: 100%;
  height: 18px;
  appearance: none;
  -webkit-appearance: none;
}

progress::-webkit-progress-bar {
  background-color: #eee;
  border-radius: 10px;
}

progress::-webkit-progress-value {
  background-color: #e7c7fc;
  border-radius: 10px;
}

progress::-moz-progress-bar {
  background-color: #e7c7fc;
  border-radius: 10px;
}